Batch Delete Workspaces
delete
/api/restapi/workspace/batch
Send a request to this endpoint to delete one or more workspaces. Returns delete job details if you are an administrator when deletionDetails query parameter is true.
Request
Query Parameters
-
deletionDetails: boolean
Set deletionDetails=true to return delete job tracking details if you are an administrator.Default Value:
false
Supported Media Types
- application/json
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : List<ApiEntityWorkspaceDeleteResponse>
Type:
arrayTitle:
Show Source
List<ApiEntityWorkspaceDeleteResponse>-
Array of:
object ApiEntityWorkspaceDeleteResponse
Title:
ApiEntityWorkspaceDeleteResponse
Nested Schema : ApiEntityWorkspaceDeleteResponse
Type:
objectTitle:
Show Source
ApiEntityWorkspaceDeleteResponse-
jobId: integer
(int64)
The unique identifier for the background service.
-
jobStatus: string
Allowed Values:
[ "NOT_RAN_YET", "NEW", "QUEUED", "RUNNING", "DELEGATED", "ON_HOLD", "REJECTED", "COMPLETED", "COMPLETED_WITH_ERRORS", "FAILED", "NOOP", "COMPLETED_WITH_WARNINGS", "RETRIED" ]The status of the background service. -
statusURL: string
(url)
Fully-formed job status URL.
-
workspaceId: integer
(int64)
The unique identifier of a workspace.
204 Response
Successful operation with no content.
400 Response
Invalid input.